MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023354Community[OCCT] OCCT:DRAWpublic2012-07-26 14:012012-11-16 13:17
ReporterPawel 
Assigned Toika 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023354: The use of 'if (A) {...} else if (A) {...}' pattern was detected.
DescriptionIn ViewerTest_ViewerCommands, lines 324 and 346.

The case

else if ( !strcasecmp(buf_ret, "D") ) {

is handled twice.

Was it maybe "R" that was meant for reset and "D" for something else?
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0021761)
ika (developer)
2012-10-12 18:44

second else was deleted, now "D" is hotkey for reset view and removing selected object is impossible by hotkeys
help message was rewrited according to these changes, also hotkeys "R","L" and "B" added to help

Git branch CR23266 is ready to be reviewed.

Dear Anton,
please review.
(0021765)
apl (developer)
2012-10-15 10:49

Hi, Irina.

Branch CR23354 reviewed (I'm sure you meant it instead of 23266). All remarks (minor) are already in the branch:
1) comments in hot key parsing revised (there were left, right, bottom commented as "top").
2) help menu completed with other available hot keys. "U" - unset display mode, "Z" - switch Z clipping On/Off.
(0021766)
apl (developer)
2012-10-15 10:56

I would like to remind you workflow of issue "status" in bug advancement (see picture above):

Please don't forget to change issue's status:
* when bug fixed - developer should change its status to "resolved" and the bug should be assigned to reviewer.

So, could you please change status to resolved, and then to reviewed (I'm already done it) and ask bug master to test the fix?
(0021767)
ika (developer)
2012-10-15 11:46

Hi, Anton.
Sorry for these mistakes, I'll do that you say next time.
(0021768)
ika (developer)
2012-10-15 12:01

please test.
(0021783)
mkv (tester)
2012-10-16 11:26

Dear BugMaster,
Branch CR23354 (and master from occt-products) was compiled on Linux and Windows platforms and tested.

Regressions:
Not detected

Improvements:
Not detected

Testing cases:
Not needed

- Related Changesets
occt: master 41811896
Timestamp: 2012-10-19 14:19:18
Author: ika
Details ] Diff ]
0023354: The use of 'if (A) {...} else if (A) {...}' pattern was detected.

second else was deleted, now "D" is hotkey for reset view and removing selected object is impossible by hotkeys
help message was rewrited according to these changes, also hotkeys "R","L" and "B" added to help
Minor remarks: viewer commands help fulfilled with U; Z; ","; "." . Comments revised.
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-26 14:01 Pawel New Issue
2012-07-26 14:01 Pawel Assigned To => bugmaster
2012-08-17 16:42 bugmaster Assigned To bugmaster => san
2012-08-17 16:42 bugmaster Status new => assigned
2012-10-09 19:04 oan Assigned To san => ika
2012-10-12 18:44 ika Note Added: 0021761
2012-10-12 18:45 ika Assigned To ika => apl
2012-10-15 10:49 apl Note Added: 0021765
2012-10-15 10:51 apl Assigned To apl => ika
2012-10-15 10:56 apl Note Added: 0021766
2012-10-15 11:46 ika Note Added: 0021767
2012-10-15 11:49 ika Status assigned => resolved
2012-10-15 12:01 ika Note Added: 0021768
2012-10-15 12:01 ika Assigned To ika => bugmaster
2012-10-15 12:01 ika Status resolved => reviewed
2012-10-15 19:58 mkv Assigned To bugmaster => mkv
2012-10-16 11:26 mkv Note Added: 0021783
2012-10-16 11:26 mkv Test case number => Not needed
2012-10-16 11:26 mkv Assigned To mkv => bugmaster
2012-10-16 11:26 mkv Status reviewed => tested
2012-10-23 20:41 ika Changeset attached => occt master 41811896
2012-10-23 20:43 ika Assigned To bugmaster => ika
2012-10-23 20:43 ika Status tested => verified
2012-10-23 20:43 ika Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker